Name:           python-digital-rf
Version:        2.6.12
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Library for reading and writing time-tagged RF data in the Digital RF format

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/MITHaystack/digital_rf
Source:         %{pypi_source digital_rf}

BuildRequires:  python3-devel
BuildRequires:  gcc


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'digital-rf' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-digital-rf
Summary:        %{summary}

%description -n python3-digital-rf %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-digital-rf all,dataframe,dev,plot,sound,test


%prep
%autosetup -p1 -n digital_rf-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x all,dataframe,dev,plot,sound,test


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-digital-rf -f %{pyproject_files}


%changelog
%autochangelog